---
title: Notification.silent
slug: Web/API/Notification/silent
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - silent
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <strong><code>silent</code></strong> read-only property of the {{domxref("Notification")}} interface specifies whether the notification should be silent, i.e., no sounds or vibrations should be issued, regardless of the device settings. This is specified in the <code>silent</code> option of the {{domxref("Notification.Notification","Notification()")}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>silent</var> = <var>Notification</var>.silent;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}. <code>false</code> is the default; <code>true</code> makes the notification silent.</p>

<h2 id="Examples">Examples</h2>

<p>The following snippet is intended to fire a silent notification; a simple <code>options</code> object is created, and then the notification is fired using the {{DOMxRef("Notification.Notification","Notification()")}} constructor.</p>

<pre class="brush: js notranslate">var options = {
  body: 'Do you like my body?',
  silent: true
}

var n = new Notification('Test notification', options);

console.log(n.silent) // should log true</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-silent','silent')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.silent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
